-# haml-lint:disable ViewLength
- @page_title = t('.title', name: @resource.name)

= render 'layouts/page_actions', back_url: admin_resources_path,
                                 edit_url: edit_admin_resource_path(@resource),
                                 destroy_url: admin_resource_path(@resource)

._show-page
  %aside._show-page__panel
    %section
      %dl
        %dt= t('generic.definition', value: t('generic.id'))
        %dd.-text--monospace= @resource.id

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.generic'))
        %dd= yes_no @resource.generic?

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.latin_name'))
        = missing_data_element :dd, @resource.latin_name, url: edit_admin_resource_path(@resource)

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.sync_id'))
        %dd= @resource.sync_id.presence || '-'

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.genus'))
        %dd= link_to @resource.genus.name, admin_genus_path(@resource.genus)

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.resource_interactions_group'))
        -# haml-lint:disable LineLength
        %dd= @resource.resource_interactions_group ? link_to(@resource.resource_interactions_group.name, admin_resource_interactions_group_path(@resource.resource_interactions_group)) : '-'
        -# haml-lint:enable LineLength

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.crop_rotation_group'))
        -# haml-lint:disable LineLength
        %dd= @resource.crop_rotation_group ? enum_display(Resource, :crop_rotation_group, @resource.crop_rotation_group) : '-'
        -# haml-lint:enable LineLength

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.sources'))
        = missing_data_element :dd, @resource.sources, url: edit_admin_resource_path(@resource) do
          %ul
            - @resource.sources.each do |source|
              %li= link_to source, source

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.common_names'))
        %dd
          - if @resource.common_names.empty?
            \-
          - else
            %ul
              - @resource.common_names.each do |cn|
                %li= cn

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.diameter'))
        = missing_data_element :dd, @resource.diameter, replacement: '-'

        %dt= t('generic.definition', value: t('activerecord.attributes.resource.parent'))
        %dd= @resource.parent ? @resource.parent.name : '-'

        %dt= t('generic.definition', value: t('activerecord.models.element', count: 2))
        %dd= @resource.elements.size

        %dt= t('generic.definition', value: t('activerecord.models.tag_list', count: 2))
        %dd.tags
          - @resource.tag_list.each do |tag|
            = compound_tag tag

  ._show-page__content.-grid-2.-gap
    %div
      %section
        %h2= t('activerecord.attributes.resource.description')
        #markdown
          #markdown-source= @resource.description

      %section
        %h2= t('js.resources.description_area.sow_harvest')
        %table.auto-width.small
          %thead
            %tr
              - t('date.abbr_month_names').each do |month|
                %th= month
          %tbody
            %tr.right-aligned
              %th= t('js.resources.description_area.sheltered_sowing_months')
              - values = Resource.bitfield_month_to_a @resource.bitfield_values(:sheltered_sowing_months),
                                                      :sow_sheltered_in
              - values.each do |value|
                %td{ class: value ? '-text--ok' : '' }
            %tr.right-aligned
              %th= t('js.resources.description_area.soil_sowing_months')
              - values = Resource.bitfield_month_to_a @resource.bitfield_values(:soil_sowing_months),
                                                      :sow_in_soil_in
              - values.each do |value|
                %td{ class: value ? '-text--ok' : '' }
            %tr.right-aligned
              %th= t('js.resources.description_area.harvesting_months')
              - values = Resource.bitfield_month_to_a @resource.bitfield_values(:harvesting_months),
                                                      :harvest_in
              - values.each do |value|
                %td{ class: value ? '-text--ok' : '' }

      - if @resource.parent.blank?
        %section
          %h2= t('.variants')
          - if @resource.children.empty?
            .rui-empty.rui-empty--inline= t('.no_child_resource')
          - else
            %ul
              - @resource.children.order(:name).each do |resource|
                %li= link_to resource.name, admin_resource_path(resource)

    %section= render 'admin/versions/versions', entity: @resource

    %section
      %h2= t('.user_notes')
      - if @resource.notes.count.zero?
        .rui-empty.rui-empty--inline= t('.no_user_note')
      - else
        %table.auto-width.small
          %thead
            %tr
              %th= t 'activerecord.attributes.user.username'
              %th= t 'activerecord.attributes.resource_note.content'
              %th
          %tbody
            - @resource.notes.visible.each do |note|
              %tr
                %td= note.user.username
                %td= note.content
                %td.-actions
                  = render 'layouts/entity_actions', destroy_url: admin_resource_note_path(note)

:javascript
  document.addEventListener('DOMContentLoaded', () => {
    renderMD(document.getElementById('markdown'), document.getElementById('markdown-source'))
  })
-# haml-lint:enable ViewLength
